#!/usr/bin/perl -w

use XML::Simple;
use LWP::Simple;
use Data::Dumper;

my $filename;
my $total = 0;
while($filename = <>) {
	chomp $filename;
	$total += fetch_price($filename) || 0;
}
sub fetch_price 
{
	my $filename = shift;
	## THis should re-import everything properly.
	my $ref = XMLin($filename, forcearray => [ "artist" ]);
	if(defined($ref->{barcode}) && ($ref->{barcode}->{type} eq 'UPC' || $ref->{barcode}->{type} eq 'UPA')) {
		return undef;
	} else {
		print "No barcode for $filename.  Got:\n";
		print Dumper $ref->{barcode};
	}
	return undef;
}
