#!/usr/bin/perl -w
use strict;
use Term::ReadLine;
use Barcode::Cuecat;
use LWP::Simple qw(get);

my $term = new Term::ReadLine 'cuetest';
my $bc = new Barcode::Cuecat();

while(1) {
	my $resp = $term->readline("Scan barcode? (y/n): ");
	if($resp =~ /(n|no)/i) {
		last;
	}

	my $garbage = $term->readline("Scan code now: ");
	$bc->scan($garbage);
	print "type of code is ", $bc->type(),"\n";
	print "code is ", $bc->code(),"\n";
	print "serial is ", $bc->serial(),"\n";
	print "Chapters URL: http://www.chapters.ca/music/details/default.asp?UPC=",$bc->code(),"\n";

	my $page = get("http://www.chapters.ca/music/details/default.asp?UPC=".$bc->code());
	my ($artist,$title,$style,$rel,@tracks) = "";
	($title) = $page =~ m|<!--Body Content here X-->\s+<font FACE="arial, helvetica, sans-serif" size="3"><b>\s*([^<]+)<|ims;
	($artist) = $page =~ m|<A HREF="http://search1.chapters.ca/music/results.asp[^>]+><FONT face="arial,geneva,helvetica,sans-serif" color="#990033" size="2"><B>([^<]+)<|ims;
	($style) = $page =~ m|<B>Style:</B>&nbsp;([^<]+)<|ims;
	chomp($style);
	($rel) = $page =~ m|<B>Release Date:</B>&nbsp;([^<]+)<|ims;
	print "Album: $title\n";
	print "Artist: $artist\n";
	print "Style: $style\n";
	print "Release Date: $rel\n";
	while($page =~ m|<!--track number--><font FACE="Arial, Helvetica, sans-serif" SIZE="2">(\d+).&nbsp;</font></td>\s+<td><!--track title--><FONT FACE="Arial, Helvetica, sans-serif" SIZE="2">([^<]+)|igm) {
		print "Found $2\n";
		$tracks[$1] = $2;
	}
	shift @tracks; ## Remove blank.
	my $i = 1;
	foreach my $track (@tracks) {
		print "Track $i: $track\n";
		$i++;
	}
}

